Loading...
Searching...
No Matches
AVBufferSrcParameters Struct Reference
libavfilter » Buffer source API

This structure contains the parameters describing the frames that will be passed to this filter. More...

`#include <libavfilter/buffersrc.h>`

## Data Fields

int | format
| video: the pixel format, value corresponds to enum AVPixelFormat audio: the sample format, value corresponds to enum AVSampleFormat
AVRational | time_base
| The timebase to be used for the timestamps on the input frames.
int | width
| Video only, the display dimensions of the input frames.
int | height
AVRational | sample_aspect_ratio
| Video only, the sample (pixel) aspect ratio.
AVRational | frame_rate
| Video only, the frame rate of the input video.
AVBufferRef * | hw_frames_ctx
| Video with a hwaccel pixel format only.
int | sample_rate
| Audio only, the audio sampling rate in samples per second.
AVChannelLayout | ch_layout
| Audio only, the audio channel layout.
enum AVColorSpace | color_space
| Video only, the YUV colorspace and range.
enum AVColorRange | color_range
AVFrameSideData ** | side_data
int | nb_side_data
enum AVAlphaMode | alpha_mode
| Video only, the alpha mode.

## Detailed Description

This structure contains the parameters describing the frames that will be passed to this filter.

It should be allocated with av_buffersrc_parameters_alloc() and freed with av_free(). All the allocated fields in it remain owned by the caller.

Definition at line 73 of file buffersrc.h.

## Field Documentation

## format

int AVBufferSrcParameters::format

video: the pixel format, value corresponds to enum AVPixelFormat audio: the sample format, value corresponds to enum AVSampleFormat

Definition at line 78 of file buffersrc.h.

## time_base

AVRational AVBufferSrcParameters::time_base

The timebase to be used for the timestamps on the input frames.

Definition at line 82 of file buffersrc.h.

## width

int AVBufferSrcParameters::width

Video only, the display dimensions of the input frames.

Definition at line 87 of file buffersrc.h.

## height

int AVBufferSrcParameters::height

Definition at line 87 of file buffersrc.h.

## sample_aspect_ratio

AVRational AVBufferSrcParameters::sample_aspect_ratio

Video only, the sample (pixel) aspect ratio.

Definition at line 92 of file buffersrc.h.

## frame_rate

AVRational AVBufferSrcParameters::frame_rate

Video only, the frame rate of the input video.

This field must only be set to a non-zero value if input stream has a known constant framerate and should be left at its initial value if the framerate is variable or unknown.

Definition at line 100 of file buffersrc.h.

## hw_frames_ctx

AVBufferRef* AVBufferSrcParameters::hw_frames_ctx

Video with a hwaccel pixel format only.

This should be a reference to an AVHWFramesContext instance describing the input frames.

Definition at line 106 of file buffersrc.h.

## sample_rate

int AVBufferSrcParameters::sample_rate

Audio only, the audio sampling rate in samples per second.

Definition at line 111 of file buffersrc.h.

## ch_layout

AVChannelLayout AVBufferSrcParameters::ch_layout

Audio only, the audio channel layout.

Definition at line 116 of file buffersrc.h.

## color_space

enum AVColorSpace AVBufferSrcParameters::color_space

Video only, the YUV colorspace and range.

Definition at line 121 of file buffersrc.h.

## color_range

enum AVColorRange AVBufferSrcParameters::color_range

Definition at line 122 of file buffersrc.h.

## side_data

AVFrameSideData** AVBufferSrcParameters::side_data

Definition at line 124 of file buffersrc.h.

## nb_side_data

int AVBufferSrcParameters::nb_side_data

Definition at line 125 of file buffersrc.h.

## alpha_mode

enum AVAlphaMode AVBufferSrcParameters::alpha_mode

Video only, the alpha mode.

Definition at line 130 of file buffersrc.h.

The documentation for this struct was generated from the following file:

- libavfilter/buffersrc.h